classification
Title: json.loads(encoding=) does not emit deprecation warning.
Type: Stage: resolved
Components: Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: bob.ippolito, ezio.melotti, inada.naoki, mbussonn, pitrou, rhettinger, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2018-05-11 02:31 by mbussonn, last changed 2019-04-09 07:17 by inada.naoki. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6762 merged mbussonn, 2018-05-11 02:44
PR 6784 closed mbussonn, 2018-05-13 21:22
Messages (5)
msg316384 - (view) Author: Matthias Bussonnier (mbussonn) * Date: 2018-05-11 02:31
The `encoding` keyword of json.loads is ignored and deprecated. AFAICT this is since Python 3.1. 

Passing a value for encoding does not emit a deprecation warning.
msg316393 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-05-11 11:42
I'm wondering if it can be removed at all. Maybe it was left in issue4136 due to oversight.
msg316479 - (view) Author: Matthias Bussonnier (mbussonn) * Date: 2018-05-13 21:25
I've opened https://github.com/python/cpython/pull/6784 as an alternative that removes it. I was worried to remove it so close to 3.7.
msg339600 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2019-04-08 08:28
Since we didn't raise DeprecationWarning, I think at least one version with DeprecationWarning is preferable.
msg339710 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2019-04-09 07:17
New changeset a8abe097c1165db25b429ca02a65c4f8acbc062b by Inada Naoki (Matthias Bussonnier) in branch 'master':
bpo-33461: emit DeprecationWarning when json.loads(encoding=...) is used (GH-6762)
https://github.com/python/cpython/commit/a8abe097c1165db25b429ca02a65c4f8acbc062b
History
Date User Action Args
2019-04-09 07:17:58inada.naokisetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-04-09 07:17:27inada.naokisetmessages: + msg339710
2019-04-08 08:28:49inada.naokisetnosy: + inada.naoki

messages: + msg339600
versions: + Python 3.8
2018-05-13 21:25:15mbussonnsetmessages: + msg316479
2018-05-13 21:22:34mbussonnsetpull_requests: + pull_request6471
2018-05-11 11:42:18serhiy.storchakasetnosy: + bob.ippolito, pitrou, serhiy.storchaka, rhettinger, ezio.melotti
messages: + msg316393
2018-05-11 02:44:21mbussonnsetkeywords: + patch
stage: patch review
pull_requests: + pull_request6449
2018-05-11 02:31:13mbussonncreate